Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFrame.StyleMask

    java.lang.Object
      java.lang.Enum<QFrame.StyleMask>
          com.trolltech.qt.gui.QFrame.StyleMask

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFrame.StyleMask>

Enclosing class:
  QFrame

    public static enum QFrame.StyleMask

extends java.lang.Enum<QFrame.StyleMask>
implements QtEnumerator

This enum defines two constants that can be used to extract the two components of `frameStyle`:

Constant | Value | Description
--- | --- | ---
`Shadow_Mask` | `240` | The Shadow part of `frameStyle`
`Shape_Mask` | `15` | The Shape part of `frameStyle`

Normally, you don't need to use these, since `frameShadow` and `frameShape` already extract the Shadow and the Shape parts of `frameStyle`.

See Also:
  `frameStyle`, `setFrameStyle`

Enum Constant Summary
`Shadow_Mask` The Shadow part of `frameStyle`
`Shape_Mask` The Shape part of `frameStyle`

Method Summary
`static QFrame.StyleMask` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFrame.StyleMask` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFrame.StyleMask[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Shadow_Mask

    public static final QFrame.StyleMask Shadow_Mask

  The Shadow part of `frameStyle`

### Shape_Mask

    public static final QFrame.StyleMask Shape_Mask

  The Shape part of `frameStyle`

Method Detail

### values

    public static final QFrame.StyleMask[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFrame.StyleMask c : QFrame.StyleMask.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFrame.StyleMask valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFrame.StyleMask resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD